package cn.com.poc.portal.convert;

import cn.com.poc.portal.dto.PortalDialoguesDto;
import cn.com.poc.portal.entity.PortalDialoguesCallEntity;

/**
 * @author alex.yao
 * @date 2025/6/19
 */
public class PortalConvert {

    public static PortalDialoguesCallEntity callDtoToEntity(PortalDialoguesDto dto) {
        PortalDialoguesCallEntity portalDialoguesCallEntity = new PortalDialoguesCallEntity();
        portalDialoguesCallEntity.setDialoguesId(dto.getDialoguesId());
        portalDialoguesCallEntity.setInput(dto.getInput());
        portalDialoguesCallEntity.setAgentId(dto.getAgentId());
        portalDialoguesCallEntity.setEnableSearchEngine(dto.getEnableSearchEngine());
        portalDialoguesCallEntity.setEnableDeepThinking(dto.getEnableDeepThinking());
        portalDialoguesCallEntity.setFileUrl(dto.getFileUrl());
        portalDialoguesCallEntity.setKnowledgeIds(dto.getKnowledgeIds());
        return portalDialoguesCallEntity;
    }

}
